## org.apache.log4j.lf5.viewer.categoryexplorer
Class CategoryElement

    java.lang.Object
      org.apache.log4j.lf5.viewer.categoryexplorer.CategoryElement

    public class CategoryElement

extends Object

CategoryElement represents a single element or part of a Category.

Author:
  Michael J. Sikorsky, Robert Shaw

Field Summary
`protected String` `_categoryTitle`

Constructor Summary
`CategoryElement()`
`CategoryElement(String title)`

Method Summary
`String` `getTitle()`
`void` `setTitle(String title)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _categoryTitle

    protected String _categoryTitle

Constructor Detail

### CategoryElement

    public CategoryElement()

### CategoryElement

    public CategoryElement(String title)

Method Detail

### getTitle

    public String getTitle()

### setTitle

    public void setTitle(String title)

Copyright © 1999-2010 Apache Software Foundation. All Rights Reserved.